SubscriptionRequest.h File Reference

UpnpSubscriptionRequest object declararion. More...

`#include "TemplateInclude.h"`
Include dependency graph for SubscriptionRequest.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | CLASS UpnpSubscriptionRequest
#define | EXPAND_CLASS_MEMBERS(CLASS)

## Detailed Description

UpnpSubscriptionRequest object declararion.

Returned along with a UPNP_EVENT_SUBSCRIPTION_REQUEST callback.

Author
  Marcelo Roberto Jimenez

## Macro Definition Documentation

## EXPAND_CLASS_MEMBERS

#define EXPAND_CLASS_MEMBERS | ( |  | CLASS | ) |

Value:
EXPAND_CLASS_MEMBER_STRING(CLASS, ServiceId) \
EXPAND_CLASS_MEMBER_STRING(CLASS, UDN) \
EXPAND_CLASS_MEMBER_STRING(CLASS, SID) \
CLASS
struct s_CLASS CLASS
Definition: TemplateInclude.h:138